List Campaigns
curl --request GET \
--url https://api.agents.timepay.ai/api/v1/campaigns \
--header 'Authorization: <authorization>'import requests
url = "https://api.agents.timepay.ai/api/v1/campaigns"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.agents.timepay.ai/api/v1/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "QSoSyUUwwhwEiFhXJIUlhYxOh",
"tableId": "campaign_jyyrsvgpynmxetfiuiba_kiwwhjupmwyjabnrlillydlsw",
"rowsLen": 1,
"createdAt": "2026-01-05T14:44:15",
"updatedAt": "2026-01-05T14:44:51",
"org_id": "JYYrSvGpyNMxetfiuiBa",
"name": "Campaign 1",
"description": "Q1 debt collection campaign for overdue accounts",
"startDate": "2025-12-31",
"startTime": "09:00",
"endDate": "2025-12-31",
"endTime": "19:00",
"collection_type": "emi",
"region": "north",
"tags": [
"priority",
"q1"
],
"languages": [
"hindi",
"english"
]
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 50,
"totalPages": 5
}
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "NotFound",
"message": "Campaign not found"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}
Campaigns
List Campaigns
Get a paginated list of campaigns for the organization.
List Campaigns
Headers
string
required
Bearer token for authentication (e.g.,
Bearer <your_token>).Query Parameters
integer
default:1
The page number for pagination.
string
Filter campaigns by status.
Show options
Show options
activepausedcompleteddraft
string
Filter by the type of campaign.
Show options
Show options
emiedi
string
Search term to filter campaigns by name.
Response
boolean
Indicates if the request was successful.
array
The list of campaign objects.
object
string
The error type or code (Error responses only).
string
A descriptive message explaining the error (Error responses only).
{
"success": true,
"data": [
{
"id": "QSoSyUUwwhwEiFhXJIUlhYxOh",
"tableId": "campaign_jyyrsvgpynmxetfiuiba_kiwwhjupmwyjabnrlillydlsw",
"rowsLen": 1,
"createdAt": "2026-01-05T14:44:15",
"updatedAt": "2026-01-05T14:44:51",
"org_id": "JYYrSvGpyNMxetfiuiBa",
"name": "Campaign 1",
"description": "Q1 debt collection campaign for overdue accounts",
"startDate": "2025-12-31",
"startTime": "09:00",
"endDate": "2025-12-31",
"endTime": "19:00",
"collection_type": "emi",
"region": "north",
"tags": [
"priority",
"q1"
],
"languages": [
"hindi",
"english"
]
}
],
"pagination": {
"page": 1,
"limit": 10,
"total": 50,
"totalPages": 5
}
}
{
"success": false,
"error": "Unauthorized",
"message": "Missing or invalid authorization header"
}
{
"success": false,
"error": "Forbidden",
"message": "You don't have the required permission to perform this action"
}
{
"success": false,
"error": "NotFound",
"message": "Campaign not found"
}
{
"success": false,
"error": "InternalServerError",
"message": "An unexpected error occurred"
}

